Bug 23435 - Add multiple copies of an item when receiving in serials
Summary: Add multiple copies of an item when receiving in serials
Status: Pushed to master
Alias: None
Product: Koha
Classification: Unclassified
Component: Serials (show other bugs)
Version: unspecified
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Aleisha Amohia
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-08-07 02:51 UTC by Aleisha Amohia
Modified: 2019-10-17 14:07 UTC (History)
4 users (show)

See Also:
Change sponsored?: Sponsored
Patch complexity: Small patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
19.11.00


Attachments
Bug 23435: Add multiple copies of an item when receiving in serials (7.48 KB, patch)
2019-08-09 03:42 UTC, Aleisha Amohia
Details | Diff | Splinter Review
Bug 23435: Add multiple copies of an item when receiving in serials (7.54 KB, patch)
2019-08-09 19:50 UTC, Maryse Simard
Details | Diff | Splinter Review
Bug 23435: Add multiple copies of an item when receiving in serials (7.61 KB, patch)
2019-10-07 16:42 UTC, ByWater Sandboxes
Details | Diff | Splinter Review
Bug 23435: Add multiple copies of an item when receiving in serials (7.67 KB, patch)
2019-10-12 10:45 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Aleisha Amohia 2019-08-07 02:51:55 UTC
This feature would only be available for subscriptions that have been configured to create an item record when receiving a serial.

When receiving or editing a serial (serials-edit.pl), there is currently a link 'Click to add item'. When saving the serial, an item record is also created with the details entered in the item form.

We would like to add a feature that allows multiple (a specified number of) item records to be created when receiving a serial.
Comment 1 Aleisha Amohia 2019-08-09 03:42:57 UTC
Created attachment 92100 [details] [review]
Bug 23435: Add multiple copies of an item when receiving in serials

This feature allows you to add multiple item records when receiving a
serial, if the subscription is set to 'create item record when receiving
serials'. Please note this is not the same as multi-receiving, more like
multi-adding!

To test:
1) Create a subscription, ensure the 'Create an item record when
receiving this serial' option is selected
2) Receive a serial
3) Expand the item form by selecting 'click to add item'
4) Fill in details, including a barcode. Leave 'number of copies' as 1
and Save.
5) Confirm the serial is received as expected.
6) In another tab, open the bibliographic record attached to this
subscription
7) Confirm the item record was created upon receiving the serial
8) Go back to the serial collection and receive next serial
9) Expand the item form by selecting 'click to add item'
10) Fill in details again, this time change 'number of copies' to a
different number e.g. 3, and Save
11) Confirm the serial is received as expected.
12) Check back at the biblio record that 3 item records were created and
the barcode was incremented for each additional item.

Sponsored-by: Brimbank City Council
Comment 2 Maryse Simard 2019-08-09 19:50:01 UTC
Created attachment 92122 [details] [review]
Bug 23435: Add multiple copies of an item when receiving in serials

This feature allows you to add multiple item records when receiving a
serial, if the subscription is set to 'create item record when receiving
serials'. Please note this is not the same as multi-receiving, more like
multi-adding!

To test:
1) Create a subscription, ensure the 'Create an item record when
receiving this serial' option is selected
2) Receive a serial
3) Expand the item form by selecting 'click to add item'
4) Fill in details, including a barcode. Leave 'number of copies' as 1
and Save.
5) Confirm the serial is received as expected.
6) In another tab, open the bibliographic record attached to this
subscription
7) Confirm the item record was created upon receiving the serial
8) Go back to the serial collection and receive next serial
9) Expand the item form by selecting 'click to add item'
10) Fill in details again, this time change 'number of copies' to a
different number e.g. 3, and Save
11) Confirm the serial is received as expected.
12) Check back at the biblio record that 3 item records were created and
the barcode was incremented for each additional item.

Sponsored-by: Brimbank City Council
Signed-off-by: Maryse Simard <maryse.simard@inlibro.com>
Comment 3 Katrin Fischer 2019-08-17 19:32:10 UTC
Hi Maryse, I see your sign-off line here - switching to 'signed off'
Comment 4 ByWater Sandboxes 2019-10-07 16:42:51 UTC
Created attachment 93827 [details] [review]
Bug 23435: Add multiple copies of an item when receiving in serials

This feature allows you to add multiple item records when receiving a
serial, if the subscription is set to 'create item record when receiving
serials'. Please note this is not the same as multi-receiving, more like
multi-adding!

To test:
1) Create a subscription, ensure the 'Create an item record when
receiving this serial' option is selected
2) Receive a serial
3) Expand the item form by selecting 'click to add item'
4) Fill in details, including a barcode. Leave 'number of copies' as 1
and Save.
5) Confirm the serial is received as expected.
6) In another tab, open the bibliographic record attached to this
subscription
7) Confirm the item record was created upon receiving the serial
8) Go back to the serial collection and receive next serial
9) Expand the item form by selecting 'click to add item'
10) Fill in details again, this time change 'number of copies' to a
different number e.g. 3, and Save
11) Confirm the serial is received as expected.
12) Check back at the biblio record that 3 item records were created and
the barcode was incremented for each additional item.

Sponsored-by: Brimbank City Council
Signed-off-by: Maryse Simard <maryse.simard@inlibro.com>

Signed-off-by: Kelly McElligott <kelly@bywatersolutions.com>
Comment 5 Katrin Fischer 2019-10-12 10:45:02 UTC
Created attachment 94036 [details] [review]
Bug 23435: Add multiple copies of an item when receiving in serials

This feature allows you to add multiple item records when receiving a
serial, if the subscription is set to 'create item record when receiving
serials'. Please note this is not the same as multi-receiving, more like
multi-adding!

To test:
1) Create a subscription, ensure the 'Create an item record when
receiving this serial' option is selected
2) Receive a serial
3) Expand the item form by selecting 'click to add item'
4) Fill in details, including a barcode. Leave 'number of copies' as 1
and Save.
5) Confirm the serial is received as expected.
6) In another tab, open the bibliographic record attached to this
subscription
7) Confirm the item record was created upon receiving the serial
8) Go back to the serial collection and receive next serial
9) Expand the item form by selecting 'click to add item'
10) Fill in details again, this time change 'number of copies' to a
different number e.g. 3, and Save
11) Confirm the serial is received as expected.
12) Check back at the biblio record that 3 item records were created and
the barcode was incremented for each additional item.

Sponsored-by: Brimbank City Council
Signed-off-by: Maryse Simard <maryse.simard@inlibro.com>

Signed-off-by: Kelly McElligott <kelly@bywatersolutions.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 6 Martin Renvoize 2019-10-17 14:07:48 UTC
Nice work!

Pushed to master for 19.11.00